<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_nodes.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_nodes.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>The list of supported nodes in the TIOVX. </p>

<p><a href="tivx__nodes_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">VX_API_ENTRY <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tivx__nodes_8h.html#a4c911937ab9849e96dfddfd1951a1d78">tivxHarrisCornersNode</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph, <a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> input, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> scaling_factor, <a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> nms_threshold, <a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> q_shift, <a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> win_size, <a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> score_method, <a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> suppression_method, <a class="el" href="vx__types_8h.html#ab1f0193f8a470dd2fe10de539a533697">vx_array</a> corners, <a class="el" href="vx__types_8h.html#a1bf12c9f0e72ed39970212b04148788d">vx_scalar</a> num_corners)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">[Graph] Creates a Harris Corners Node.  <a href="#a4c911937ab9849e96dfddfd1951a1d78"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a4c911937ab9849e96dfddfd1951a1d78"></a><!-- doxytag: member="tivx_nodes.h::tivxHarrisCornersNode" ref="a4c911937ab9849e96dfddfd1951a1d78" args="(vx_graph graph, vx_image input, vx_uint32 scaling_factor, vx_int32 nms_threshold, vx_uint8 q_shift, vx_uint8 win_size, vx_uint8 score_method, vx_uint8 suppression_method, vx_array corners, vx_scalar num_corners)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VX_API_ENTRY <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a> tivxHarrisCornersNode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a>&nbsp;</td>
          <td class="paramname"> <em>graph</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td>
          <td class="paramname"> <em>scaling_factor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td>
          <td class="paramname"> <em>nms_threshold</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td>
          <td class="paramname"> <em>q_shift</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td>
          <td class="paramname"> <em>win_size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td>
          <td class="paramname"> <em>score_method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td>
          <td class="paramname"> <em>suppression_method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#ab1f0193f8a470dd2fe10de539a533697">vx_array</a>&nbsp;</td>
          <td class="paramname"> <em>corners</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1bf12c9f0e72ed39970212b04148788d">vx_scalar</a>&nbsp;</td>
          <td class="paramname"> <em>num_corners</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>[Graph] Creates a Harris Corners Node. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>graph</em>&nbsp;</td><td>The reference to the graph. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>input</em>&nbsp;</td><td>The input <code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1ad57c5881488a19029a9ce095f13932cb">VX_DF_IMAGE_U8</a></code> image. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd><code><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a></code>. </dd></dl>
<dl><dt><b>Return values:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vx_node</em>&nbsp;</td><td>A node reference. Any possible errors preventing a successful creation should be checked using <code>vxGetStatus</code> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
